@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Thin.woff2') format('woff2');
    font-weight: 100;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-ExtraLight.woff2') format('woff2');
    font-weight: 200;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Light.woff2') format('woff2');
    font-weight: 300;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Regular.woff2') format('woff2');
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Medium.woff2') format('woff2');
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-SemiBold.woff2') format('woff2');
    font-weight: 600;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Bold.woff2') format('woff2');
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-ExtraBold.woff2') format('woff2');
    font-weight: 800;
    font-display: swap;
}

@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Black.woff2') format('woff2');
    font-weight: 900;
    font-display: swap;
}

.ck-content figcaption {display: block; margin-top: 8px; font-size: 14px; color: #5A5D6B; text-align: center; line-height: 25px;}
.ck-content p {margin: 32px 0; font-size: 18px; color: #27282E; line-height: 32px;}

/* link */
.ck-content a {
  font-size: 18px;
  font-weight: 700;
  color: #ff7f00;
  line-height: 32px;
}

/* H1 */
.ck-content h1 {
  margin: 32px 0;
  font-size: 48px;
  color: #27282E;
  line-height: 60px;
}

/* H2 */
.ck-content h2 {
  margin: 32px 0;
  font-size: 32px;
  color: #27282E;
  line-height: 40px;
}

/* H3 */
.ck-content h3 {
  margin: 32px 0;
  font-size: 24px;
  color: #27282E;
  line-height: 30px;
}

/* 블록쿼터 */
.ck-content blockquote {
  overflow: hidden;
  padding-left: 26px;
  margin: 32px 0;
  margin-left: 0;
  margin-right: 0;
  border-left: 2px solid #5A5D6B;
  font-style: normal;
}

.ck-content blockquote strong {
  display: block;
  margin-bottom: 12px;
  font-size: 18px;
  font-weight: 400;
  color: #27282E;
  letter-spacing: -0.54px;
  line-height: 32px;
}

.ck-content blockquote p {
  margin: 0; 
  font-size: 14px;
  color: #818594;
  line-height: 25px;
}

/* 쌍따옴표 인용 스타일은 별도 class 지정 필요 */
.view__editor-quote {
  display: block;
  position: relative;
  margin: 32px 0;
  font-size: 18px;
  font-weight: 700;
  color: #27282E;
  line-height: 32px;
  text-align: center;
}

.view__editor-quote::before, .view__editor-quote::after {
  display: block;
  width: 20px;
  height: 20px;
  margin: 0 auto 16px;
  background: url("../../img/user/_common/quotes.svg") no-repeat;
  background-size: 100% auto;
  content: "";
}

.view__editor-quote::after {
  margin: 16px auto 0;
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}

/* 수평바 */
.ck-content hr {
  display: block;
  width: 100%;
  margin: 32px 0;
  border: none;
  border-top: 1px solid #DBDEE5;
}

/* 에디터 본문 및 소스 보기 min-height 동일 적용 */
.ck-source-editing-area textarea {
  overflow: auto !important;
}

.ck-source-editing-area {
  height: 770px;
}

/* 회색 박스 */
.box2 {
  margin: 32px 0;
  padding: 32px;
  border-radius: 16px;
  background-color: #F7F8FA;
  font-size: 18px;
  color: #27282E;
  line-height: 35px;
}
